#include "PreprocessingManager.h"

namespace GtpVisibility {
  
  
  bool
  PreprocessingManager::GetPVS(
			       const Vector3 &center,
			       const float radius,
			       InfoContainer<NodeInfo> *visibleNodes,
			       InfoContainer<MeshInfo> *visibleMeshes )
  {
    vector<int> viewCellIds;
    if (LocateViewCellIds(center, radius, &viewCellIds)) {
      for (vector<int>::iterator ci = viewCellIds.begin();
	   ci != viewCellIds.end();
	   ci++) {
	AddViewCellPVS(*ci,
		       visibleNodes,
		       visibleMeshes );
	// remove duplicates of the PVS entries if any?
      }
      return true;
    }
    return false;
  }
  
};
